Passer au contenu principal
POST
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
cancel-plan
Annuler le plan de facturation
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/cancel-plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cancel_at_period_end": true,
  "cancel_immediately": false
}
'
{
  "status": "<string>",
  "account_status": "<string>",
  "effective_at": "2023-11-07T05:31:56Z",
  "eligible": true,
  "previous_plan_id": "<string>",
  "target_plan_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Paramètres de chemin

account_id
string<uuid>
requis

Corps

application/json

Schéma de demande client pour annuler le plan d’abonnement d’un compte.

cancel_at_period_end
boolean
défaut:true

Annuler le forfait à la fin de la période de facturation

cancel_immediately
boolean
défaut:false

Annulez le plan immédiatement

Réponse

status
string
requis

Statut de l'opération de facturation

account_status
string | null

Statut du compte après l'opération

effective_at
string<date-time> | null

Quand le changement de facturation est entré en vigueur

eligible
boolean | null

Si le compte était éligible à l'opération

previous_plan_id
string | null

ID du plan de facturation précédent

target_plan_id
string | null

ID du plan de facturation cible